//简介：定义了很多的静态字符串，目的就是为了提供jsonObject中相应字符串的"key"。把这些静态的定义单独写到了一个类里面，这是非常好的编程规范
package net.micode.notes.tool;

//这个类就是定义了一堆static string，实际就是为jsonObject提供Key，把这些定义全部写到一个类里，方便查看管理，是一个非常好的编程习惯
public class GTaskStringUtils {

    public final static String GTASK_JSON_ACTION_ID = "action_id";// 行动ID

    public final static String GTASK_JSON_ACTION_LIST = "action_list";// 任务列表

    public final static String GTASK_JSON_ACTION_TYPE = "action_type";// 任务类型

    public final static String GTASK_JSON_ACTION_TYPE_CREATE = "create";// 新建

    public final static String GTASK_JSON_ACTION_TYPE_GETALL = "get_all";

    public final static String GTASK_JSON_ACTION_TYPE_MOVE = "move";// 移动

    public final static String GTASK_JSON_ACTION_TYPE_UPDATE = "update";

    public final static String GTASK_JSON_CREATOR_ID = "creator_id";

    public final static String GTASK_JSON_CHILD_ENTITY = "child_entity";// 95.子实体

    public final static String GTASK_JSON_CLIENT_VERSION = "client_version";// 客户端

    public final static String GTASK_JSON_COMPLETED = "completed";

    public final static String GTASK_JSON_CURRENT_LIST_ID = "current_list_id";// 当前列表位置

    public final static String GTASK_JSON_DEFAULT_LIST_ID = "default_list_id";

    public final static String GTASK_JSON_DELETED = "deleted";// 删除

    public final static String GTASK_JSON_DEST_LIST = "dest_list";

    public final static String GTASK_JSON_DEST_PARENT = "dest_parent";

    public final static String GTASK_JSON_DEST_PARENT_TYPE = "dest_parent_type";

    public final static String GTASK_JSON_ENTITY_DELTA = "entity_delta";

    public final static String GTASK_JSON_ENTITY_TYPE = "entity_type";

    public final static String GTASK_JSON_GET_DELETED = "get_deleted";

    public final static String GTASK_JSON_ID = "id";

    public final static String GTASK_JSON_INDEX = "index";// 索引

    public final static String GTASK_JSON_LAST_MODIFIED = "last_modified";

    public final static String GTASK_JSON_LATEST_SYNC_POINT = "latest_sync_point";

    public final static String GTASK_JSON_LIST_ID = "list_id";

    public final static String GTASK_JSON_LISTS = "lists";

    public final static String GTASK_JSON_NAME = "name";

    public final static String GTASK_JSON_NEW_ID = "new_id";

    public final static String GTASK_JSON_NOTES = "notes";

    public final static String GTASK_JSON_PARENT_ID = "parent_id";

    public final static String GTASK_JSON_PRIOR_SIBLING_ID = "prior_sibling_id";

    public final static String GTASK_JSON_RESULTS = "results";

    public final static String GTASK_JSON_SOURCE_LIST = "source_list";

    public final static String GTASK_JSON_TASKS = "tasks";

    public final static String GTASK_JSON_TYPE = "type";

    public final static String GTASK_JSON_TYPE_GROUP = "GROUP";

    public final static String GTASK_JSON_TYPE_TASK = "TASK";

    public final static String GTASK_JSON_USER = "user";

    public final static String MIUI_FOLDER_PREFFIX = "[MIUI_Notes]";

    public final static String FOLDER_DEFAULT = "Default";

    public final static String FOLDER_CALL_NOTE = "Call_Note";

    public final static String FOLDER_META = "METADATA";

    public final static String META_HEAD_GTASK_ID = "meta_gid";

    public final static String META_HEAD_NOTE = "meta_note";

    public final static String META_HEAD_DATA = "meta_data";// 数据

    public final static String META_NOTE_NAME = "[META INFO] DON'T UPDATE AND DELETE";

}